package digital.laboratory.platform.inspection.config;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * 贵阳禁毒-情报平台推送数据配置
 */
@Component
@ConfigurationProperties(prefix = "gyjd.labscare.api")
public class ApiPathProperties {
    /**
     * api的ip
     */
    private String host;

    /**
     * 委托书推送的接口
     */
    private String entrustLetter;

    /**
     * 确认书推送接口
     */
    private String confirmLetter;

    /**
     * 生物检材定性记录
     */
    private String biologyQualitativeRecord;

    /**
     * 普通检材定性记录（非红外报告）
     */
    private String nonInfraredGeneralQualitativeRecord;

    /**
     * 普通检材定性记录（红外报告）
     */
    private String infraredGeneralQualitativeRecord;

    /************************************ Getter Setter 方法 ***********************************/
    /******************************** Getter 方法会拼接上host返回 ***************************/
    public String getHost() {
        return host;
    }

    public void setHost(String host) {
        this.host = host;
    }

    public String getEntrustLetter() {
        return host + entrustLetter;
    }

    public void setEntrustLetter(String entrustLetter) {
        this.entrustLetter = entrustLetter;
    }

    public String getConfirmLetter() {
        return host + confirmLetter;
    }

    public void setConfirmLetter(String confirmLetter) {
        this.confirmLetter = confirmLetter;
    }

    public String getBiologyQualitativeRecord() {
        return host + biologyQualitativeRecord;
    }

    public void setBiologyQualitativeRecord(String biologyQualitativeRecord) {
        this.biologyQualitativeRecord = biologyQualitativeRecord;
    }

    public String getNonInfraredGeneralQualitativeRecord() {
        return host + nonInfraredGeneralQualitativeRecord;
    }

    public void setNonInfraredGeneralQualitativeRecord(String nonInfraredGeneralQualitativeRecord) {
        this.nonInfraredGeneralQualitativeRecord = nonInfraredGeneralQualitativeRecord;
    }

    public String getInfraredGeneralQualitativeRecord() {
        return host + infraredGeneralQualitativeRecord;
    }

    public void setInfraredGeneralQualitativeRecord(String infraredGeneralQualitativeRecord) {
        this.infraredGeneralQualitativeRecord = infraredGeneralQualitativeRecord;
    }
}
